commit: fe6f544512d561f85df031b9be3991c534517de1
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 28 04:01:56 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Feb 28 04:42:21 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe6f5445
dev-python/python-swiftclient: Bump to 4.7.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/python-swiftclient/Manifest | 1 +
.../python-swiftclient-4.7.0.ebuild | 39 ++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/dev-python/python-swiftclient/Manifest
b/dev-python/python-swiftclient/Manifest
index a8af850e35c9..d214733c7d6c 100644
--- a/dev-python/python-swiftclient/Manifest
+++ b/dev-python/python-swiftclient/Manifest
@@ -1 +1,2 @@
DIST python-swiftclient-4.6.0.tar.gz 209473 BLAKE2B
e35516c4e05c889af5e9e794179b2c5a5fe364bcc85492639dd58c45ffc756d86942038d683e685c9f33d876043c0953c6b0cf69db16abdf57c057cf24ab97ed
SHA512
19883c2640cf6071752e09261c7d8499e01b749100e6d79cc3a83e08bffc7392ee852351b11d549001d23898d4c34e8309fdadb8e0241e301bf03300db80eef7
+DIST python_swiftclient-4.7.0.tar.gz 209719 BLAKE2B
aa4155b1299fbd740e94509b13ba4c295375dbe45bf50c727ddc31e464fb1d25925fc6aa6c2aea8dffc97ecd435dfcf24ef36cfaecaa661555c34088c353626d
SHA512
07ab49421260f4537d5a3093557e76cce05db1f4caa99cb54fd5f7fdd8129b73473566005d9f28e7b4fc86348f642f207b3f28cbab10da36f3c656001e86a61a
diff --git a/dev-python/python-swiftclient/python-swiftclient-4.7.0.ebuild
b/dev-python/python-swiftclient/python-swiftclient-4.7.0.ebuild
new file mode 100644
index 000000000000..ace65050c0ad
--- /dev/null
+++ b/dev-python/python-swiftclient/python-swiftclient-4.7.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings to the OpenStack Object Storage API"
+HOMEPAGE="
+ https://opendev.org/openstack/python-swiftclient/
+ https://github.com/openstack/python-swiftclient/
+ https://pypi.org/project/python-swiftclient/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-2.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/keystoneauth1-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/openstacksdk-0.11.0[${PYTHON_USEDEP}]
+ >=dev-python/python-keystoneclient-0.7.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ sed -e 's/test_password_prompt/_&/' -i test/unit/test_shell.py || die
+ distutils-r1_python_prepare_all
+}